Package org.zkoss.stateless.action.data

## Class MaximizeData

- java.lang.Object
- - org.zkoss.stateless.action.data.MaximizeData

- All Implemented Interfaces:
    `java.io.Serializable`, `ActionData`

      public class MaximizeData
      extends java.lang.Object
      implements ActionData

  Represents an action caused by a component being maximized.
  Author:
    jumperchen
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MaximizeData()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getHeight()` | Returns the height of the component, which is its original height.
    `java.lang.String` | `getLeft()` | Returns the left of the component, which is its original left.
    `java.lang.String` | `getTop()` | Returns the top of the component, which is its original top.
    `java.lang.String` | `getWidth()` | Returns the width of the component, which is its original width.
    `boolean` | `isMaximized()` | Returns whether to be maximized.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MaximizeData

          public MaximizeData()

  - ### Method Detail

    - #### getWidth

          public final java.lang.String getWidth()

      Returns the width of the component, which is its original width.

    - #### getHeight

          public final java.lang.String getHeight()

      Returns the height of the component, which is its original height.

    - #### getLeft

          public final java.lang.String getLeft()

      Returns the left of the component, which is its original left.

    - #### getTop

          public final java.lang.String getTop()

      Returns the top of the component, which is its original top.

    - #### isMaximized

          public final boolean isMaximized()

      Returns whether to be maximized.